Skip to content

FinalizeUploadError

Defined in: packages/synapse-core/src/errors/pdp.ts:74

Finalizing a streaming upload (POST /pdp/piece/uploads/{uuid}) failed.

Unlike a failure to create the upload session, the bytes were already sent to the provider, so the problem is the PieceCID or how the provider processed the upload. Extends PostPieceError, which streaming uploads threw for this step before.

new FinalizeUploadError(error, options?): FinalizeUploadError

Defined in: packages/synapse-core/src/errors/pdp.ts:57

Parameter Type
error string
options? ProviderErrorOptions

FinalizeUploadError

PostPieceError.constructor

[symbol]: boolean = true

Defined in: packages/synapse-core/src/errors/provider.ts:21

PostPieceError.[symbol]


[symbol]: boolean = true

Defined in: packages/synapse-core/src/errors/base.ts:19

PostPieceError.[symbol]


optional cause?: Error

Defined in: packages/synapse-core/src/errors/base.ts:22

PostPieceError.cause


optional details?: string

Defined in: packages/synapse-core/src/errors/base.ts:23

PostPieceError.details


message: string

Defined in: node_modules/.pnpm/typescript@6.0.3/node_modules/typescript/lib/lib.es5.d.ts:1075

PostPieceError.message


name: "FinalizeUploadError" = 'FinalizeUploadError'

Defined in: packages/synapse-core/src/errors/pdp.ts:75

PostPieceError.name


notFound: boolean

Defined in: packages/synapse-core/src/errors/provider.ts:27

true when the service provider answered 404.

PostPieceError.notFound


shortMessage: string

Defined in: packages/synapse-core/src/errors/base.ts:24

PostPieceError.shortMessage


optional stack?: string

Defined in: node_modules/.pnpm/typescript@6.0.3/node_modules/typescript/lib/lib.es5.d.ts:1076

PostPieceError.stack


optional status?: number

Defined in: packages/synapse-core/src/errors/provider.ts:25

The HTTP status the service provider answered with. undefined when the failure was not an HTTP response.

PostPieceError.status


static stackTraceLimit: number

Defined in: node_modules/.pnpm/@types+node@26.2.0/node_modules/@types/node/globals.d.ts:67

The Error.stackTraceLimit property specifies the number of stack frames collected by a stack trace (whether generated by new Error().stack or Error.captureStackTrace(obj)).

The default value is 10 but may be set to any valid JavaScript number. Changes will affect any stack trace captured after the value has been changed.

If set to a non-number value, or set to a negative number, stack traces will not capture any frames.

PostPieceError.stackTraceLimit


protected static summary: string = 'Failed to finalize upload.'

Defined in: packages/synapse-core/src/errors/pdp.ts:76

The short message, overridden by subclasses for the step that failed.

PostPieceError.summary

toJSON(): Record<string, unknown>

Defined in: packages/synapse-core/src/errors/provider.ts:43

Record<string, unknown>

PostPieceError.toJSON


static captureStackTrace(targetObject, constructorOpt?): void

Defined in: node_modules/.pnpm/@types+node@26.2.0/node_modules/@types/node/globals.d.ts:51

Creates a .stack property on targetObject, which when accessed returns a string representing the location in the code at which Error.captureStackTrace() was called.

const myObject = {};
Error.captureStackTrace(myObject);
myObject.stack;  // Similar to `new Error().stack`

The first line of the trace will be prefixed with ${myObject.name}: ${myObject.message}.

The optional constructorOpt argument accepts a function. If given, all frames above constructorOpt, including constructorOpt, will be omitted from the generated stack trace.

The constructorOpt argument is useful for hiding implementation details of error generation from the user. For instance:

function a() {
  b();
}

function b() {
  c();
}

function c() {
  // Create an error without stack trace to avoid calculating the stack trace twice.
  const { stackTraceLimit } = Error;
  Error.stackTraceLimit = 0;
  const error = new Error();
  Error.stackTraceLimit = stackTraceLimit;

  // Capture the stack trace above function b
  Error.captureStackTrace(error, b); // Neither function c, nor b is included in the stack trace
  throw error;
}

a();
Parameter Type
targetObject object
constructorOpt? Function

void

PostPieceError.captureStackTrace


static fromHttpError<T>(this, error): Promise<T>

Defined in: packages/synapse-core/src/errors/provider.ts:60

Build the error from an HttpError, keeping the response status and the HttpError as cause. The response body becomes details, or HTTP <status> when the body is empty.

Type Parameter
T
Parameter Type
this new (error, options) => T
error HttpError

Promise<T>

throw await PullError.fromHttpError(response.error)

PostPieceError.fromHttpError


static is(value): value is FinalizeUploadError

Defined in: packages/synapse-core/src/errors/pdp.ts:78

Check if a value is a PostPieceError, including a FinalizeUploadError.

Parameter Type
value unknown

value is FinalizeUploadError

PostPieceError.is


static isError(error): error is Error

Defined in: node_modules/.pnpm/typescript@6.0.3/node_modules/typescript/lib/lib.esnext.error.d.ts:21

Indicates whether the argument provided is a built-in Error instance or not.

Parameter Type
error unknown

error is Error

PostPieceError.isError


static prepareStackTrace(err, stackTraces): any

Defined in: node_modules/.pnpm/@types+node@26.2.0/node_modules/@types/node/globals.d.ts:55

Parameter Type
err Error
stackTraces CallSite[]

any

https://v8.dev/docs/stack-trace-api#customizing-stack-traces

PostPieceError.prepareStackTrace